Package org.apache.sysds.hops.codegen.cplan

# Enum Class CNodeNary.NaryType

java.lang.Object
java.lang.Enum<CNodeNary.NaryType>
org.apache.sysds.hops.codegen.cplan.CNodeNary.NaryType

All Implemented Interfaces:
  `Serializable`, `Comparable<CNodeNary.NaryType>`, `Constable`

Enclosing class:
  CNodeNary

public static enum CNodeNary.NaryType extends Enum<CNodeNary.NaryType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`VECT_AVG_POOL`
`VECT_CBIND`
`VECT_CONV2DMM`
`VECT_IM2COL`
`VECT_MAX_POOL`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(String value)`
`String`
`getTemplate(boolean sparseGen, long len, ArrayList<CNode> inputs, SpoofCompiler.GeneratorAPI api)`
`boolean`
`isVectorPrimitive()`
`static CNodeNary.NaryType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CNodeNary.NaryType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VECT_CBIND

public static final CNodeNary.NaryType VECT_CBIND

### VECT_MAX_POOL

public static final CNodeNary.NaryType VECT_MAX_POOL

### VECT_AVG_POOL

public static final CNodeNary.NaryType VECT_AVG_POOL

### VECT_IM2COL

public static final CNodeNary.NaryType VECT_IM2COL

### VECT_CONV2DMM

public static final CNodeNary.NaryType VECT_CONV2DMM

## Method Details

### values

public static CNodeNary.NaryType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CNodeNary.NaryType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### contains

public static boolean contains(String value)

### getTemplate

public String getTemplate(boolean sparseGen, long len, ArrayList<CNode> inputs, SpoofCompiler.GeneratorAPI api)

### isVectorPrimitive

public boolean isVectorPrimitive()